/**  
* <p>Title: CrmClientData.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年6月5日  
* @version 1.0  
*/
package cn.timer.api.bean.crm;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * Title: CrmClientData.java
 * </p>
 * <p>
 * Description:
 * </p>
 * 
 * @author dsc
 * @date 2020年6月5日
 * @version 1.0
 */

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "crm_client_data")
@ApiModel("客户数据表")
public class CrmClientData extends Model<CrmClientData>{

	private static final long serialVersionUID = -5368056704790782780L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "客户姓名")
	private String clientName;

	@ApiModelProperty(value = "客户手机号")
	private String clientCellphone;

	@ApiModelProperty(value = "客户座机")
	private String clientTelephone;

	@ApiModelProperty(value = "客户官网")
	private String clientUrl;

	@ApiModelProperty(value = "行业id(字典表)")
	private Integer industry;

	@ApiModelProperty(value = "行业名")
	private String industryName;
	
	@ApiModelProperty(value = "客户邮箱")
	private String clientEmail;

	@ApiModelProperty(value = "省")
	private String province;
	@ApiModelProperty(value = "市")
	private String city;
	@ApiModelProperty(value = "区")
	private String district;
	@ApiModelProperty(value = "地址")
	private String address;
	@ApiModelProperty(value = "邮编")
	private String zipCode;

	@ApiModelProperty(value = "客户类型")
	private String clientType;

	@ApiModelProperty(value = "客户来源")
	private String clientSource;

	@ApiModelProperty(value = "备注")
	private String remarks;

	@ApiModelProperty(value = "客户所属(创建人empNum)")
	private Integer belongUser;

	@ApiModelProperty(value = "客户所属人姓名")
	private String belongUserName;

	@ApiModelProperty(value = "协作人empNum")
	private Integer associatesUser;

	@ApiModelProperty(value = "协作人姓名")
	private String associatesName;

	@ApiModelProperty(value = "附件地址")
	private String fileUrl;

	@ApiModelProperty(value = "创建时间")
	private Date createdTime;

	@ApiModelProperty(value = "企业id")
	private Integer orgCode;
}
